package com.brilliance.isc.funds.common.controller;

import com.brilliance.isc.common.api.diary.controller.AbstractDiaryController;
import com.brilliance.isc.common.api.diary.vo.DiaryRequestVo;
import com.brilliance.isc.common.api.diary.vo.DiaryResponseVo;
import com.brilliance.isc.common.trndia.vo.DiaVo;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.funds.FtdBizAmdInfoVo;
import com.brilliance.isc.vo.funds.FtdBizInfoVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Diary组件
 */
@RestController
@RequestMapping("/ftd")
public class FtdDiaryController extends AbstractDiaryController<FtdBizInfoVo, FtdBizAmdInfoVo> {
    /**
     * 试算备忘录入口
     *
     * @param diaryRequestVo
     * @return
     */

    @RequestMapping("/trndia/calcDiaries")
    @Override
    public ResponseSet<DiaryResponseVo> calcDiaries(@RequestBody DiaryRequestVo<FtdBizInfoVo, FtdBizAmdInfoVo> diaryRequestVo) {
        return super.calcDiaries(diaryRequestVo);
    }

    /**
     * 计算备忘录状态入口
     *
     * @param diaVo
     * @return
     */

    @RequestMapping("/trndia/calculateDiamodflg")
    @Override
    public ResponseSet<String> calculateDiamodflg(@RequestBody DiaVo diaVo) {
        return super.calculateDiamodflg(diaVo);
    }
}
