package com.brilliance.isc.funds.fxtlcm.document;

import com.brilliance.isc.common.trndoc.vo.DoceotVo;
import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FxtfcmStoreBo;
import com.brilliance.isc.funds.bo.funds.FxtlcmStoreBo;
import com.brilliance.isc.funds.fxtfcm.document.BuildFxt300l1;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @program: isc-funds
 * @ClassName: FxtlcmDocset
 * @description:
 * @author: Lenovo
 * @create: 2024-10-14 15:14
 */
@Component("fxtlcm.docset")
public class FxtlcmDocset extends AbstractTransactionDocSet<FxtlcmStoreBo> {

    @Resource
    private BuildFxt300s1 buildFxt300s1;

    @PostConstruct
    public void buildMember() {
        buildLetterProvider("fxtlcm","FXT3001");
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }

    public Map<String,Object> buildExtraMapForLetter(FxtlcmStoreBo trnbo, DoceotVo doceotVo){
        if (MdaUtils.compareTo(doceotVo.getDocnam(),"FXT3001")==0){
            return buildFxt300s1.build(trnbo,doceotVo);
        } else {
            return new HashMap<>();
        }
    }
}
