package com.brilliance.isc.filter;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @Classname InterceptorRegistry
 * @Title
 * @Description
 * @Version 1.0.0
 * @Date 2023/12/1 16:10
 * @Created by weiguanying
*/
@Configuration
public class WebMvcConfig implements WebMvcConfigurer {
    // 加入如下代码可解决

    @Autowired
    AuthInterceptor authInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(authInterceptor)
                .excludePathPatterns("/logout");
    }
}


