package com.brilliance.isc.funds.crtcri.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.CrtcriStoreBo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @program: isc-funds
 * @ClassName: crtcriDocSet
 * @description: 汇入清算 crtcri 面函
 * @author: huangshunlin
 * @create: 2024-10-16 20:27
 */
@Component("crtcri.docset")
public class CrtcriDocSet extends AbstractTransactionDocSet<CrtcriStoreBo> {

    private static final Logger logger = LoggerFactory.getLogger(CrtcriDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


}
