package com.brilliance.isc.funds.fttpcn.register.diasav;



import com.brilliance.isc.common.register.diasav.IDiasavRegister;
import com.brilliance.isc.common.register.diasav.common.DftcreDiasavRegister;
import com.brilliance.isc.common.register.diasav.common.LiaallDiasavRegister;
import com.brilliance.isc.common.register.diasav.common.LiaallDiasavZZZRegister;
import com.brilliance.isc.common.register.diasav.common.TrtcreDiasavRegister;
import com.brilliance.isc.common.trndia.service.TrndiaService;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component("fttpcn.diasavRegister")
public class FttpcnDiasavRegister implements IDiasavRegister {
    @Autowired
    private TrndiaService trndiaService;
    @Autowired
    private LiaallDiasavRegister liaallDiasavRegister;
    @Autowired
    private LiaallDiasavZZZRegister liaallDiasavZZZRegister;
    @Autowired
    private TrtcreDiasavRegister trtcreDiasavRegister;
    @Autowired
    private DftcreDiasavRegister dftcreDiasavRegister;
    @Override
    public void diasav(TrndiaVo trndia) {
         trnDiasav(trndia);
         liaallDiasavRegister.diasav(trndia);
         liaallDiasavZZZRegister.diasav(trndia);
         trtcreDiasavRegister.diasav(trndia);
         dftcreDiasavRegister.diasav(trndia);
    }
    private void trnDiasav(TrndiaVo trndiaVo) {

    }
}
