package com.brilliance.isc.funds.fxtfcm.document;

import com.brilliance.isc.common.trndoc.vo.DoceotVo;
import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FxtfcmStoreBo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Component("fxtfcm.docset")
public class FxtfcmDocset extends AbstractTransactionDocSet<FxtfcmStoreBo> {

    @Resource
    private BuildFxt300l1 buildFxt300l1;

    @PostConstruct
    public void buildMember() {
        buildLetterProvider("fxtfcm","FXT3001");
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }

    public Map<String,Object> buildExtraMapForLetter(FxtfcmStoreBo trnbo, DoceotVo doceotVo){
        if (MdaUtils.compareTo(doceotVo.getDocnam(),"FXT3001")==0){
            return buildFxt300l1.build(trnbo,doceotVo);
        } else {
            return new HashMap<>();
        }
    }
}
