package com.brilliance.isc.funds.fxtlcn.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.bo.funds.FxtlcnStoreBo;
import com.brilliance.isc.funds.transfer.transaction.FxtlcnStructMapper;
import com.brilliance.isc.funds.vo.funds.FxtlcnStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtlcnResource
 * @description: 结售汇平盘确认 Fxtlcn 请求入口
 * @author: xiaotong
 * @create: 2024-10-11 17:09
 */

@RestController
@RequestMapping("/fxtlcn")
public class FxtlcnResource extends AbstractTransactionController<FxtlcnStoreVo> {

    @Resource
    private FxtlcnStructMapper fxtlcnStructMapper;

    public IStructMapper getStructMapper() {
        return fxtlcnStructMapper;
    }
}
