package com.brilliance.isc.funds.vo.funds;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.FtdgrpVo;
import com.brilliance.isc.vo.model.FttpVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FttfcnStoreVo extends BaseTransactionVo {
    BigDecimal canamt= Decimals.ZERO_SCALE2;

    boolean clsflg = true;

    private FtdgrpVo ftdgrp;

    private FttpVo fttp;

    @Override
    public void reset() {
        super.reset();
        if (ftdgrp == null) {
            ftdgrp = new FtdgrpVo();
        }
        ftdgrp.reset();

        if (fttp == null) {
            fttp = new FttpVo();
        }
        fttp.reset();
    }


}
